Get an extension
Returns phone assignments and directly configured unanswered routing for one extension.
GET
/customer/phone-systems/{phoneSystemId}/extensions/{extensionId}Authorization
X-API-KeyAPI key · headerrequiredAPI key (sk_phones_* prefix) for programmatic access
Path parameters
phoneSystemIdstring<uuid>requiredPhone system identifier, discoverable via the accessible phone systems operation.
extensionIdstring<uuid>requiredExtension identifier from a list response or typed reference.
Responses
200Extension assignments and directly configured unanswered routing.
createdAtstring<date-time>requiredWhen the extension was created.
idstring<uuid>requirednamestringrequirednumberstringrequiredphoneSystemIdstring<uuid>requiredphonesobject[]requiredShow propertiesHide properties
Array of
objectidstring<uuid>requiredphoneSystemIdstring<uuid>requiredtypestringrequiredstatusstringrequiredAllowed:
activeinactiveunansweredCallBehaviorobjectrequiredShow propertiesHide properties
businessHoursobject | anyrequiredShow propertiesHide properties
Any of:
object
Any of:
object
idstring<uuid>requiredphoneSystemIdstring<uuid>requiredtypestringrequiredAllowed:
extensionagent-configcall-groupcall-menuobject
idstring<uuid>requiredphoneSystemIdstring<uuid>requiredtypestringrequiredAllowed:
extension-voicemailcall-group-voicemailobject
Any of:
object
playbackUrlstring<uri> | anyrequiredShow propertiesHide properties
Any of:
string<uri>
string<uri>any
anytypestringrequiredobject
phoneNumberstring<phone-number>requiredE.164 phone number, including the leading + and international country code.
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredany
anyoffHoursobject | anyrequiredShow propertiesHide properties
Any of:
object
Any of:
object
idstring<uuid>requiredphoneSystemIdstring<uuid>requiredtypestringrequiredAllowed:
extensionagent-configcall-groupcall-menuobject
idstring<uuid>requiredphoneSystemIdstring<uuid>requiredtypestringrequiredAllowed:
extension-voicemailcall-group-voicemailobject
Any of:
object
playbackUrlstring<uri> | anyrequiredShow propertiesHide properties
Any of:
string<uri>
string<uri>any
anytypestringrequiredobject
phoneNumberstring<phone-number>requiredE.164 phone number, including the leading + and international country code.
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredobject
typestringrequiredany
anytimeoutSecondsintegerrequiredmin 0
updatedAtstring<date-time>requiredWhen the extension record was last updated.
voicemailGreetingPlaybackUrlstring<uri> | anyrequiredShow propertiesHide properties
Any of:
string<uri>
string<uri>any
any400A path identifier is invalid.
codestringrequiredStable machine identifier to branch on.
correlationIdstringrequiredRequest identifier to quote to support.
detailstringrequiredUser-safe explanation. Display it if you must; never match on it.
errorsobject[]Field-level validation problems. Present on validation failures.
Show propertiesHide properties
Array of
objectcodestringrequiredPer-field machine code (REQUIRED, TOO_SMALL, …).
detailstringrequiredHuman-readable description of the field problem.
pointerstringrequiredJSON Pointer to the offending request field.
paramsobjectExtra primitive detail about the condition, such as a limit that was hit.
retry_afterintegerSeconds to wait before retrying, when a meaningful delay exists.
retryablebooleanrequiredWhether this condition is transient. Derived from code.
statusintegerrequiredMirrors the HTTP status code.
titlestringrequiredShort human summary of the problem type.
typestringrequiredURL identifying the problem type. An identifier to match, not a link.
401The API key is missing, malformed, expired, or revoked.
codestringrequiredStable machine identifier to branch on.
correlationIdstringrequiredRequest identifier to quote to support.
detailstringrequiredUser-safe explanation. Display it if you must; never match on it.
errorsobject[]Field-level validation problems. Present on validation failures.
Show propertiesHide properties
Array of
objectcodestringrequiredPer-field machine code (REQUIRED, TOO_SMALL, …).
detailstringrequiredHuman-readable description of the field problem.
pointerstringrequiredJSON Pointer to the offending request field.
paramsobjectExtra primitive detail about the condition, such as a limit that was hit.
retry_afterintegerSeconds to wait before retrying, when a meaningful delay exists.
retryablebooleanrequiredWhether this condition is transient. Derived from code.
statusintegerrequiredMirrors the HTTP status code.
titlestringrequiredShort human summary of the problem type.
typestringrequiredURL identifying the problem type. An identifier to match, not a link.
403The key lacks the extensions:read scope, or is not a tenant API key.
codestringrequiredStable machine identifier to branch on.
correlationIdstringrequiredRequest identifier to quote to support.
detailstringrequiredUser-safe explanation. Display it if you must; never match on it.
errorsobject[]Field-level validation problems. Present on validation failures.
Show propertiesHide properties
Array of
objectcodestringrequiredPer-field machine code (REQUIRED, TOO_SMALL, …).
detailstringrequiredHuman-readable description of the field problem.
pointerstringrequiredJSON Pointer to the offending request field.
paramsobjectExtra primitive detail about the condition, such as a limit that was hit.
retry_afterintegerSeconds to wait before retrying, when a meaningful delay exists.
retryablebooleanrequiredWhether this condition is transient. Derived from code.
statusintegerrequiredMirrors the HTTP status code.
titlestringrequiredShort human summary of the problem type.
typestringrequiredURL identifying the problem type. An identifier to match, not a link.
404The extension or phone system does not exist within the key grant.
codestringrequiredStable machine identifier to branch on.
correlationIdstringrequiredRequest identifier to quote to support.
detailstringrequiredUser-safe explanation. Display it if you must; never match on it.
errorsobject[]Field-level validation problems. Present on validation failures.
Show propertiesHide properties
Array of
objectcodestringrequiredPer-field machine code (REQUIRED, TOO_SMALL, …).
detailstringrequiredHuman-readable description of the field problem.
pointerstringrequiredJSON Pointer to the offending request field.
paramsobjectExtra primitive detail about the condition, such as a limit that was hit.
retry_afterintegerSeconds to wait before retrying, when a meaningful delay exists.
retryablebooleanrequiredWhether this condition is transient. Derived from code.
statusintegerrequiredMirrors the HTTP status code.
titlestringrequiredShort human summary of the problem type.
typestringrequiredURL identifying the problem type. An identifier to match, not a link.
Request
curl -X GET "https://api.steerphones.com/v1/customer/phone-systems/%3Cuuid%3E/extensions/%3Cuuid%3E" \
-H "X-API-Key: YOUR_API_KEY"Response
{
"createdAt": "2024-01-01T00:00:00Z",
"id": "<uuid>",
"name": "string",
"number": "string",
"phoneSystemId": "<uuid>",
"phones": [
{
"id": "<uuid>",
"phoneSystemId": "<uuid>",
"type": "phone"
}
],
"status": "active",
"unansweredCallBehavior": {
"businessHours": {
"id": "<uuid>",
"phoneSystemId": "<uuid>",
"type": "extension"
},
"offHours": {
"id": "<uuid>",
"phoneSystemId": "<uuid>",
"type": "extension"
},
"timeoutSeconds": 0
},
"updatedAt": "2024-01-01T00:00:00Z",
"voicemailGreetingPlaybackUrl": "<uri>"
}{
"code": "string",
"correlationId": "string",
"detail": "string",
"errors": [
{
"code": "string",
"detail": "string",
"pointer": "string"
}
],
"params": {},
"retry_after": 0,
"retryable": true,
"status": 0,
"title": "string",
"type": "string"
}{
"code": "string",
"correlationId": "string",
"detail": "string",
"errors": [
{
"code": "string",
"detail": "string",
"pointer": "string"
}
],
"params": {},
"retry_after": 0,
"retryable": true,
"status": 0,
"title": "string",
"type": "string"
}{
"code": "string",
"correlationId": "string",
"detail": "string",
"errors": [
{
"code": "string",
"detail": "string",
"pointer": "string"
}
],
"params": {},
"retry_after": 0,
"retryable": true,
"status": 0,
"title": "string",
"type": "string"
}{
"code": "string",
"correlationId": "string",
"detail": "string",
"errors": [
{
"code": "string",
"detail": "string",
"pointer": "string"
}
],
"params": {},
"retry_after": 0,
"retryable": true,
"status": 0,
"title": "string",
"type": "string"
}